<?php
ini_set("memory_limit","30000M");
set_time_limit(0);
include('../../../configuracion.php');





$matriz = array();
$cabeceras = array(
    "A" => "NOMBRE",
    "B" => "EMAIL",
    "C" => "RUT",
    "D" => "TELEFONO",
    "E" => "DIRECCION",
    "F" => "NCASA",
    "G" => "COMUNA",
    "H" => "REGION",
    "I" => "COMPRAS",
    );


header('Content-Type: application/octet-stream;charset=UTF-8"');
header('Content-Length: ' . filesize($data));
header("Content-disposition: attachment; filename=\"usamerket_csv_usuarios.csv\"");
//preparar el wrapper de salida
$fp = fopen('php://output', 'w');
        

//$fp = fopen('archivonuevo.csv', 'w');
fputcsv($fp, $cabeceras, ";");


$total_reg = $db->getVar("usuarios","COUNT(id)","id!='0'",'id desc');





$i=0;
$sumatoria = 1000;

//echo $total_reg."<br>";


while($i<$total_reg){



  
$limite = $i.",".$sumatoria;
 


$resultados = $db->results("usuarios",'*',"id!='0' ",'id desc');



foreach($resultados as $row){

$i++;

$fecha =  funcion::cambiar_fecha($row->fecha, 'D de F Y').' a las '.funcion::cambiar_fecha($row->fecha, 'H:i');

$direccion = $db->row("usuarios_direccion","*","id_usuario='{$row->id}' and principal=1");

$region = $db->getvar("regiones","nombre","id='{$direccion->region}'");
$comuna = $db->getvar("comunas","nombre","id='{$direccion->comuna}'");

$region = utf8_decode($region);
$comuna = utf8_decode($comuna);

$nombre = utf8_decode($row->nombre_completo);
$direccion = utf8_decode($direccion->direccion);
$ncasa = utf8_decode($direccion->ncasa);

$compras = $db->getvar("compras","count(id)","usuario='{$row->id}' and estado_pago=1 and estado=2");


$v = array($nombre,$row->email,$row->rut,$row->telefono,$direccion,$ncasa,$comuna,$region,$compras);

fputcsv($fp, $v, ";");

//echo $i."<br>";

if($i==$total_reg){ break;}



}
$sumatoria += $i;

}
fclose($fp);
exit;